#ifndef TR_PLAYER_HPP
#define TR_PLAYER_HPP

#include "utils/player_input.hpp"
#include <godot_cpp/classes/animation_tree.hpp>
#include <godot_cpp/classes/character_body3d.hpp>
namespace gd = godot;

class Player : public gd::CharacterBody3D {
    GDCLASS(Player, gd::CharacterBody3D);
    static void _bind_methods();
public:
    virtual void _ready() override;
    virtual void _physics_process(double delta) override;
private:
    gd::AnimationTree *anim_tree{nullptr};
    utils::PlayerInput *input{nullptr};
    gd::Node3D *model_node{nullptr};
};

#endif // !TR_PLAYER_HPP
